This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 301251 - Review Request: ladspa-rev-plugins - A reverberation plugin for LADSPA
Review Request: ladspa-rev-plugins - A reverberation plugin for LADSPA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 16:25 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 14:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-21 16:25:22 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ladspa-rev-plugins.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ladspa-rev-plugins-0.3.1-3.fc8.src.rpm
Description:
This reverb is based on gverb by Juhana Sadeharju, but the code
(now C++) is entirely original. I added a second input for stereo
operation, and some code to prevent FP denormalisation.
This is a preliminary release, and this plugin will probably change
a lot in future versions.
Comment 1 Parag AN(पराग) 2007-09-23 23:49:03 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
bca920c2cbf5e33989e7cafab6fbaee4  REV-plugins-0.3.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Pacakge  ladspa-rev-plugins-0.3.1-3.fc8 ->
  Provides: g2reverb.so rev-plugins = 0.3.1-3.fc8
  Requires: ladspa libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6 libm.so.6(GLIBC_2.0)
libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Not a GUI app.
APPROVED.
Comment 2 Hans de Goede 2007-09-24 03:01:21 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      ladspa-rev-plugins
Short Description: A reverberation plugin for LADSPA
Owners:            jwrdegoede nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2007-09-24 12:39:27 EDT
cvs done.
Comment 4 Hans de Goede 2007-09-24 14:02:04 EDT
Imported and build for devel and F-7, request push as F-7 update.

Note You need to log in before you can comment on or make changes to this bug.